printer_open
printer_select_font
Printer Functions
PHP Manual

# printer_select_brush

(PECL printer SVN)

printer_select_brush — Select a brush

### Description

void printer_select_brush ( resource `$printer_handle` , resource `$brush_handle` )

The function selects a brush as the active drawing object of the actual device context. A brush is used to fill shapes. If you draw an rectangle the brush is used to draw the shapes, while the pen is used to draw the border.

If you haven't selected a brush before drawing shapes, the shape won't be filled.

### Parameters

`printer_handle`

  `printer_handle` must be a valid printer handle.

`brush_handle`

  `brush_handle` must be a valid brush handle.

### Return Values

No value is returned.

### Examples

Example #1 printer_select_brush() example

`<?php
$handle = printer_open();
printer_start_doc($handle, "My Document");
printer_start_page($handle);
$pen = printer_create_pen(PRINTER_PEN_SOLID, 2, "000000");
printer_select_pen($handle, $pen);
$brush = printer_create_brush(PRINTER_BRUSH_CUSTOM, "c:\\brush.bmp");
printer_select_brush($handle, $brush);
printer_draw_rectangle($handle, 1, 1, 500, 500);
printer_delete_brush($brush);
$brush = printer_create_brush(PRINTER_BRUSH_SOLID, "000000");
printer_select_brush($handle, $brush);
printer_draw_rectangle($handle, 1, 501, 500, 1001);
printer_delete_brush($brush);
printer_delete_pen($pen);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`

printer_open
printer_select_font
Printer Functions
PHP Manual